<?php

/*
 * Plugin Name: JS Syntax Highlighter
 * Plugin URI: http://p.outlyer.net./wordpress/
 * Feed URI:
 * Description: Adds automatic syntax highlighting of code from JavaScript. Using Alex Gorbatchev's SyntaxHighlighter code. It works better with base2.DOM. It tries to make it less intrusive and allow for valid XHTML. See loader.js for details.
 * Version: 0.1.1+1.5.1
 * Author: Toni Corvera
 * Author URI: http://outlyer.net./
 */

function syntax_highlighter_header() {
    $base_path = get_settings('siteurl').'/wp-content/plugins/js-syntax-highlighter';

    echo '<!-- JS Syntax Highlighter Plugin -->'."\n".
         '<link type="text/css" rel="stylesheet" href="'.$base_path.'/SyntaxHighlighter.css" />'."\n".
         '<script type="text/javascript" src="'.$base_path.'/js/shCore.js"></script>'."\n".
         '<script type="text/javascript" src="'.$base_path.'/js/loader.js"></script>'."\n".
         '<script type="text/javascript">dpLoader.init("'.$base_path.'");</script>'."\n".
         '<!--/JS Syntax Highlighter Plugin -->'."\n";
}

add_action('wp_head', 'syntax_highlighter_header');


/* vim:set ts=4 et ai: */ ?>
